package com.bonus.core.auth.mobile.api;

import com.bonus.core.auth.mobile.alipay.service.AliPayService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class AliPayApi {
   private static final Logger log = LoggerFactory.getLogger(AliPayApi.class);
   @Resource
   private AliPayService aliPayService;

   public String paymentCodeDecod(String authCode) {
      try {
         return this.aliPayService.paymentCodeDecod(authCode);
      } catch (Exception var3) {
         log.error("支付宝付款码解码异常", var3);
         return null;
      }
   }
}
